summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam Bingner <sam@bingner.com>2018-11-13 22:27:37 -1000
committerSam Bingner <sam@bingner.com>2018-11-13 22:27:37 -1000
commit1c4910de8117eb56ff68d6faffef673d6b0b7f06 (patch)
tree6db17ed74a9b762b05ee729f01b0e9b75a6cbb63
parent8b91bd6838e317632792c84afca1d3507c3c94fa (diff)
Add some missing files
-rwxr-xr-xconstruct.sh4
-rw-r--r--licenses/google28
-rw-r--r--people/sbingner1
-rwxr-xr-xsign.sh38
4 files changed, 67 insertions, 4 deletions
diff --git a/construct.sh b/construct.sh
index 979269048..f31d1c5ca 100755
--- a/construct.sh
+++ b/construct.sh
@@ -110,8 +110,6 @@ cd "${PKG_REPO}/dists/ios/"
for PKG_CFTARG in */ */*/binary*/; do
pushd ${PKG_CFTARG}
-# for PKG_ARCH in */; do
-# pushd ${PKG_ARCH}
{
cat <<EOF
Origin: Bingner/Elucubratus
@@ -134,7 +132,5 @@ EOF
rm -f Release.gpg
gpg -abs -o Release.gpg Release
-# popd
-# done
popd
done
diff --git a/licenses/google b/licenses/google
new file mode 100644
index 000000000..1941a11f8
--- /dev/null
+++ b/licenses/google
@@ -0,0 +1,28 @@
+Copyright 2008, Google Inc.
+All rights reserved.
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+
+ * Redistributions of source code must retain the above copyright
+notice, this list of conditions and the following disclaimer.
+ * Redistributions in binary form must reproduce the above
+copyright notice, this list of conditions and the following disclaimer
+in the documentation and/or other materials provided with the
+distribution.
+ * Neither the name of Google Inc. nor the names of its
+contributors may be used to endorse or promote products derived from
+this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
diff --git a/people/sbingner b/people/sbingner
new file mode 100644
index 000000000..55521c7d0
--- /dev/null
+++ b/people/sbingner
@@ -0,0 +1 @@
+Sam Bingner <maintainer@sbdhi.com>
diff --git a/sign.sh b/sign.sh
new file mode 100755
index 000000000..458b0cfc0
--- /dev/null
+++ b/sign.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+set -e
+shopt -s extglob nullglob
+
+PKG_BASE=$(dirname "$(realpath "$0")")
+cd "${PKG_BASE}"
+PKG_RVSN=1
+
+PKG_REPO="${PKG_BASE}/apt/"
+
+cd "${PKG_REPO}/dists/ios/"
+
+for PKG_CFTARG in */ */*/binary*/; do
+ pushd ${PKG_CFTARG}
+ {
+ cat <<EOF
+Origin: Bingner/Elucubratus
+Label: Bingner/Elucubratus
+Suite: stable
+Version: 1.0r${PKG_RVSN}
+Codename: ios
+Architectures: iphoneos-arm
+Components: main
+Description: Distribution of Unix Software for iPhoneOS
+Support: https://cydia.saurik.com/api/support/*
+MD5Sum:
+EOF
+
+ find * -type f | grep -v Release | while read -r line; do
+ echo " $(md5sum "${line}" | cut -d ' ' -f 1) $(stat -f %z "${line}" | cut -d $'\t' -f 1) ${line}"
+ done
+
+ } >"Release"
+
+ rm -f Release.gpg
+ gpg -abs -o Release.gpg Release
+ popd
+done